INTERFACE
SUBROUTINE LANHSIB(&
 & KST,KPROF,PBT,PBDT,PESGP,&
 & PGAGT0L,PGAGT0M,PTOD0,PSPDS0,PLPD0,PSDIV0,PNHXT0,&
 & PGMV,PB1,&
 & PB2) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM ,ONLY : NFLEVG ,NPROMA ,NPROMNH ,NFLSA
USE YOMGMV ,ONLY : NDIMGMV ,YT9
USE YOMSC2 ,ONLY : NFLDSLB1 ,NFLDSLB2
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PBT
REAL(KIND=JPRB) ,INTENT(IN) :: PBDT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PESGP
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOD0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPDS0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLPD0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDIV0(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNHXT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2(NPROMA,NFLDSLB2)
END SUBROUTINE LANHSIB
END INTERFACE
